* Creates samples containing n=100 observations of variables x and w.
* x~N(0,1)							x is standard normal
* w~N(0,1) with p=.95, w~N(0,10) with p=.05	w is contaminated normal
* Calculates the mean and median of x and w.
* Stores results:  r(xmean)   r(xmedian)   r(wmean)   r(wmedian)
program meanmedian, rclass
	version 12.1
	drop _all
	set obs 100
	generate x = rnormal()
	summarize x, detail
	return scalar xmean = r(mean)
	return scalar xmedian = r(p50)
	generate w = rnormal()
	replace w = 10*w if runiform() < .05
	summarize w, detail
	return scalar wmean = r(mean)
	return scalar wmedian = r(p50)
end
